//
//  ViewController.swift
//  SheetImagePickerTest
//
//  Created by Shadowfacts on 9/23/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import UIKit
import SheetImagePicker

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        view.backgroundColor = .green
    }

    @IBAction func buttonPressed(_ sender: Any) {
        let content = UIViewController()
        content.view.translatesAutoresizingMaskIntoConstraints = false
        content.view.backgroundColor = .red
        let sheet = SheetContainerViewController(content: content)
        sheet.delegate = self
        sheet.detents = [.bottom, .middle, .top]
        
        present(sheet, animated: true)
    }
    
}

extension ViewController: SheetContainerViewControllerDelegate {
    func sheetContainer(_ sheetContainer: SheetContainerViewController, willSnapToDetent detent: Detent) -> Bool {
        if detent == .bottom {
            sheetContainer.dismiss(animated: true)
            return false
        }
        return true
    }
}
